Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Interface Quality

All Superinterfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  QualityImpl

public interface Quality
extends Belonging

Represents a Quality that can be had or desired. It contains a string which describes the quality and a factor ( typically from 1 to 100 ) that describes the degree to which the product posesses the quality or the desirablility of the quality. Attribute: degree The degree from, typically from 1 - 100 , to which the item represents the quality: * * Example include: * quality is red, if the item is red the degree is 100. If not it is 0. * qualities of a book could include romantic. If the book is only mildly romantic the degree might be 10. If it is a romance novel the rating would be 100.

- Containment: By Value
- Multiplicity: 1:1

Attribute: name The word(s) that describes this quality. Examples include: * red * median income > 50000 * romantic * country western

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `QualityHome`, `QualityImpl`

Method Summary
`int` | `getDegree()` Get the value of degree
`String` | `getName()` Get the value of name
`void` | `setDegree(int degree)` Set the value of degree
`void` | `setName(String name)` Set the value of name

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getDegree

    public int getDegree()

  Get the value of degree

  Returns:
    degree.

### setDegree

    public void setDegree(int degree)

  Set the value of degree

  Parameters:
    `degree` - degree to be added

### getName

    public String getName()

  Get the value of name

  Returns:
    name.

### setName

    public void setName(String name)

  Set the value of name

  Parameters:
    `name` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved